4.17.09.02 - Edge for Private Cloud release notes

On September 10th, 2018, we released a new version of Apigee Edge for Private Cloud.

Update procedure

To update your installation, perform the following procedure on the Edge nodes:

  1. On all Edge nodes:
    1. Clean Yum repos:
      sudo yum clean all
    2. Update the Edge 4.17.09 bootstrap_4.17.09.sh file in "/tmp/bootstrap_4.17.09.sh":
      curl https://software.apigee.com/bootstrap_4.17.09.sh -o /tmp/bootstrap_4.17.09.sh
    3. Install the Edge 4.17.09 apigee-service utility and dependencies:
      sudo bash /tmp/bootstrap_4.17.09.sh apigeeuser=uName apigeepassword=pWord

      Where uName:pWord are the username and password you received from Apigee. If you omit pWord, you will be prompted to enter it.

    4. Update the apigee-setup utility:
      sudo /opt/apigee/apigee-service/bin/apigee-service apigee-setup update
    5. Execute the contents of the apigee-service.sh file by using the source command:
      source /etc/profile.d/apigee-service.sh
  2. On each of your qpid nodes, run the update utility:
    /opt/apigee/apigee-setup/bin/update.sh -c qpid -f config_file
  3. On each of your Postgres nodes, run the update utility:
    /opt/apigee/apigee-setup/bin/update.sh -c ps -f config_file
  4. On each of your BAAS usergrid nodes, run the update utility:
    /opt/apigee/apigee-setup/bin/update.sh -c b -f config_file

Bugs fixed

The following table lists the bugs fixed in this release:

Issue ID Description Build Number*
67727814 Postgres upgrade failed on 4.17.09 apigee-postgresql-9.4.11-0.0.1135
72173268 Upgrade apigee-qpidd on CentOS 7.3 from 17.09 to 18.01 was failing apigee-qpidd-4.17.09-0.0.856
72651279 Upgrade BaaS UI to use reCAPTCHA v2 apigee-tomcat-7.0.82-0.0.897
baas-sap-usergrid-2.2.0-0.0.380
baas-usergrid-2.2.0-0.0.37